package com.css.simulation.resource.scheduler.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EsminiNodeEntity implements Cloneable {
    private String name;
    private Integer maxParallelism;
//    private String hostname;
//    private String username;
//    private String password;


    @Override
    public EsminiNodeEntity clone() {
        try {
            // TODO: copy mutable state here, so the clone can't change the internals of the original
            return (EsminiNodeEntity) super.clone();
        } catch (CloneNotSupportedException e) {
            throw new AssertionError();
        }
    }
}
